## com.imcode.imcms.util.rss.imcms
Class MenuItemItem

    java.lang.Object
      com.imcode.imcms.util.rss.dc.DublinCoreItem
          com.imcode.imcms.util.rss.imcms.MenuItemItem

All Implemented Interfaces:
  Item

    public class MenuItemItem

extends DublinCoreItem

Constructor Summary
`MenuItemItem(java.lang.String urlRoot, TextDocument.MenuItem menuItem)`

Method Summary
`java.util.Map<NameSpace,java.util.Map<java.lang.String,java.lang.String>>` `getNameSpaceStrings()`

Methods inherited from class com.imcode.imcms.util.rss.dc.DublinCoreItem
`getDescription, getLink, getNameSpaceBeans, getTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuItemItem

    public MenuItemItem(java.lang.String urlRoot,
                        TextDocument.MenuItem menuItem)

Method Detail

### getNameSpaceStrings

    public java.util.Map<NameSpace,java.util.Map<java.lang.String,java.lang.String>> getNameSpaceStrings()

  Specified by:
    `getNameSpaceStrings` in interface `Item`
  Overrides:
    `getNameSpaceStrings` in class `DublinCoreItem`